/******************************************************************************
 * - defines 'Start Of Command' and 'End Of Command' signal recognized by the 
 * history tracer 
 * - defines the commands to send to history tracer in order to get 
 * the previous, next or last command
 *****************************************************************************/

#define SOC          '\026'     /* mark start of command to be inserted
				       into history editor */
#define EOC          '\027'     /* mark end of command to be inserted into
				       history editor */

static char hstEPC[] = {ctrl('x'), ctrl('p'), EOS};
static char hstENC[] = {ctrl('x'), ctrl('n'), EOS};
static char hstELC[] = {ctrl('x'), ctrl('l'), EOS};
static char hstETC[] = {ctrl('x'), ctrl('t'), EOS};
