#define MACROMENUS   "macro.menu"
#define INITIALSET   " no name "

#define ME_CONNECT	0x4		/* connected to interface editor */

typedef struct _macroEditor {
  Widget me_shell;			/* the top-level shell Widget */
  Widget me_form;			/* top-level form widget */
  Widget icon; 				/* the icon Widget */
  Widget statusbar;			/* status bar window */
  Widget msgwin;			/* the message Widget */
  Editor editor;			/* the editor structure */
  exMenubar *menubar;
  MenuDescr popupMenus[MDS_MAXPOPUP];	/* holds the popup menus */
  int popupCnt;				/* number of popup menus */
  int flags;
  char *macroName;
  char *macroSet;
} macroEditor;

static char macroEditSccsID[] = "@(#)macroEdit.hh	1.2\t11/13/92";            /* sccs keyword */

/******************************************************************************
 *
 * 			external declarations 
 *
 *****************************************************************************/

extern clearMacroBuffer();
extern closeMacroSet(/* parms */);
extern deleteMacroSet(/* parms */);
extern deleteMacros(/* parms */);
extern displayMacroSets(/* parms */);
extern displayMacros(/* parms */);
extern fillMacroBuffer(/* file, str */);
extern int eshErrorHandler(/* dsp, event */);
extern loadInitialSet();
extern loadMacro(/* parms */);
extern macroMsg(/* msg */);
extern main(/* argc, argv */);
extern newMacro(/* parms */);
extern newMacroSet(/* parms */);
extern openMacroEditor(/* w, client_data, call_data */);
extern openMacroSet(/* parms */);
extern processMessage();
extern quitMacroEditor(/* parms */);
extern saveAsMacroSet(/* parms */);
extern saveMacro(/* parms */);
extern saveMacroAs(/* parms */);
extern saveMacroInSet(/* parms */);
extern statusBarHeight(/* medit */);
extern void setSizeHints(/* medit */);
extern void setStatus(/* macroSet, macro */);
